import axios from "axios";
import execute from "./execute";
import definition from "./definition";
export default (config) => {
    const instance = axios.create(config);
    return {
        /**
         * HTTP 客户端
         */
        instance,
        /**
         * 流程定义相关接口
         */
        definition: definition(instance),
        /**
         * 流程实例相关接口
         */
        execute: execute(instance),
    };
};
export { SkipType } from './execute';
